Subject: Re: [ietf-smtp] Reviving PRDR

From: "Rolf E. Sonneveld" <[email-masked]>
Date: Thu, 4 Apr 2019 23:47:38 +0200

On 31-03-19 00:07, Phil Pennock wrote:
> Deliberately breaking thread because distinct sub-topic, but what I'm
> saying is I think very relevant to IETF SMTP.
>
> On 2019-01-10 at 23:43 +0000, Дилян Палаузов wrote:
>> Last time PRDR was discussed here was 2014.  Since 2013 it is integrated in Exim and back in March 2014 it was not
>> enabled by default.  Today in Exim enable_prdr still defaults to False in the documentation, but the
>> src/configure.default sets it to true.
>>
>> Why isn’t enable_prdr in Exim enabled nowadays by default?
> Exim tends to be a little cautious in how new protocol features,
> especially not-standards-track protocol stuff, gets introduced.
> Local lookup sources?  Throw them in easily, nobody else's business but
> the site operator.  Protocol?  We've never rushed there.
>
> PRDR has now moved to where support will be compiled in by default in
> the next release of Exim, and the builder has to choose to explicitly
> disable the feature.  Actually advertising PRDR still needs to be
> explicitly turned on, but the default/example configure file will now do
> so.
>
> Jeremy Harris has done almost all of the hard work here but AFAIK all of
> the Exim maintainers are entirely on board with PRDR rolling out.  I
> know I am.

AFAIK the PRDR draft expired in 2007. Has anything changed since then 
that justifies reviving the draft?

Apart from exim, which MTA's support PRDR?

/rolf